# shadcn-react

A simple wrapper for [shadcn/ui](https://github.com/shadcn-ui/ui), just for my own convenience.

- style: New York
- icons: [Lucide](https://lucide.dev/icons/)

## Install

```sh
pnpm add shadcn-react
```

## Usage

Import `style.css` in the App root:

```tsx
import 'shadcn-react/style.css'
```

Then use the components:

```tsx
import { Button } from 'shadcn-react'

export default function MyComponent() {
  return <Button>Hello world</Button>
}
```

Use the original shadcn-ui components:

```tsx

import { Button } from 'shadcn-react/ui'

export default function MyComponent() {
  return <Button>Hello world</Button>
}
```

Use [lucide icons](https://lucide.dev/icons/):

```tsx

import { RocketIcon } from 'shadcn-react/icons'

export default function MyComponent() {
  return <RocketIcon />
}
```

