/// <reference types="react" />
import { AccordionMultipleProps, AccordionSingleProps, AccordionItemProps as UiAccordionItemProps } from '@radix-ui/react-accordion';
export type { AccordionSingleProps, AccordionMultipleProps };
export type AccordionProps = AccordionSingleProps | AccordionMultipleProps;
export interface AccordionItemProps {
    /**
     * A string value for the accordion item. All items within an accordion should use a unique value.
     */
    value: string;
    header?: React.ReactNode;
    /**
     * Whether or not an accordion item is disabled from user interaction.
     *
     * @default false
     */
    disabled?: boolean;
    /**
     * Custom expand icon
     */
    expandIcon?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    children?: React.ReactNode;
}
export interface AccordionItemProps extends UiAccordionItemProps {
    trigger?: React.ReactNode;
}
export declare function Accordion(props: AccordionProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Accordion {
    var Item: typeof AccordionItem;
}
export declare function AccordionItem(props: AccordionItemProps): import("react/jsx-runtime").JSX.Element;
