import { ComponentPropsWithoutRef } from 'react';
import { Carousel as UiCarousel, CarouselPrevious as UiCarouselPrevious, CarouselNext as UiCarouselNext, type CarouselApi } from '../ui/carousel';
export type { CarouselApi };
type UiCarouselProps = ComponentPropsWithoutRef<typeof UiCarousel>;
export type CarouselProps = UiCarouselProps['opts'] & Pick<UiCarouselProps, 'plugins' | 'orientation' | 'setApi'> & {
    /**
     * @default false
     */
    showIndicator?: boolean;
    /**
     * @default 'outside'
     */
    showControls?: false | 'inside' | 'outside';
    onIndexChange?: (index: number) => any;
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
};
export declare function Carousel(props: CarouselProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Carousel {
    var Item: import("react").ForwardRefExoticComponent<import("react").HTMLAttributes<HTMLDivElement> & import("react").RefAttributes<HTMLDivElement>>;
    var Previous: typeof CarouselPrevious;
    var Next: typeof CarouselNext;
}
declare function CarouselPrevious(props: ComponentPropsWithoutRef<typeof UiCarouselPrevious>): import("react/jsx-runtime").JSX.Element;
declare function CarouselNext(props: ComponentPropsWithoutRef<typeof UiCarouselNext>): import("react/jsx-runtime").JSX.Element;
