import React from 'react';
import { ChartConfig, ChartContainer, ChartTooltip, ChartTooltipContent, ChartLegend, ChartLegendContent } from '../ui/chart';
export { type ChartConfig };
export interface ChartContainerProps extends React.ComponentPropsWithoutRef<typeof ChartContainer> {
}
export interface ChartTooltipProps extends React.ComponentPropsWithoutRef<typeof ChartTooltip> {
}
export interface ChartTooltipContentProps extends React.ComponentPropsWithoutRef<typeof ChartTooltipContent> {
}
export interface ChartLegendProps extends React.ComponentPropsWithoutRef<typeof ChartLegend> {
}
export interface ChartLegendContentProps extends React.ComponentPropsWithoutRef<typeof ChartLegendContent> {
}
export declare const Chart: {
    Container: React.ForwardRefExoticComponent<Omit<React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement> & {
        config: ChartConfig;
        children: React.ReactElement<any, string | React.JSXElementConstructor<any>>;
    }, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Style: ({ id, config }: {
        id: string;
        config: ChartConfig;
    }) => import("react/jsx-runtime").JSX.Element | null;
    Tooltip: typeof import("recharts").Tooltip;
    TooltipContent: React.ForwardRefExoticComponent<Omit<import("recharts").DefaultTooltipContentProps<import("recharts/types/component/DefaultTooltipContent").ValueType, import("recharts/types/component/DefaultTooltipContent").NameType> & {
        accessibilityLayer?: boolean | undefined;
        active?: boolean | undefined;
        includeHidden?: boolean | undefined;
        allowEscapeViewBox?: import("recharts/types/util/types").AllowInDimension | undefined;
        animationDuration?: number | undefined;
        animationEasing?: import("recharts/types/util/types").AnimationTiming | undefined;
        content?: import("recharts/types/component/Tooltip").ContentType<import("recharts/types/component/DefaultTooltipContent").ValueType, import("recharts/types/component/DefaultTooltipContent").NameType> | undefined;
        coordinate?: Partial<import("recharts/types/util/types").Coordinate> | undefined;
        cursor?: boolean | React.SVGProps<SVGElement> | React.ReactElement<any, string | React.JSXElementConstructor<any>> | undefined;
        filterNull?: boolean | undefined;
        defaultIndex?: number | undefined;
        isAnimationActive?: boolean | undefined;
        offset?: number | undefined;
        payloadUniqBy?: import("recharts/types/util/payload/getUniqPayload").UniqueOption<import("recharts/types/component/DefaultTooltipContent").Payload<import("recharts/types/component/DefaultTooltipContent").ValueType, import("recharts/types/component/DefaultTooltipContent").NameType>> | undefined;
        position?: Partial<import("recharts/types/util/types").Coordinate> | undefined;
        reverseDirection?: import("recharts/types/util/types").AllowInDimension | undefined;
        shared?: boolean | undefined;
        trigger?: "hover" | "click" | undefined;
        useTranslate3d?: boolean | undefined;
        viewBox?: import("recharts/types/util/types").CartesianViewBox | undefined;
        wrapperStyle?: React.CSSProperties | undefined;
    } & React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement> & {
        hideLabel?: boolean | undefined;
        hideIndicator?: boolean | undefined;
        indicator?: "line" | "dot" | "dashed" | undefined;
        nameKey?: string | undefined;
        labelKey?: string | undefined;
    }, "ref"> & React.RefAttributes<HTMLDivElement>>;
    Legend: typeof import("recharts").Legend;
    LegendContent: React.ForwardRefExoticComponent<Omit<React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement> & Pick<import("recharts").LegendProps, "payload" | "verticalAlign"> & {
        hideIcon?: boolean | undefined;
        nameKey?: string | undefined;
    }, "ref"> & React.RefAttributes<HTMLDivElement>>;
};
