import { DialogProps } from '@radix-ui/react-dialog';
import React, { ComponentProps } from 'react';
import { Command as UiCommand, CommandDialog, CommandInput, CommandList as UiCommandList, CommandEmpty, CommandGroup, CommandItem as UiCommandItem, CommandSeparator, CommandShortcut } from '../ui/command';
export interface CommandDialogProps extends DialogProps {
}
export interface CommandProps extends ComponentProps<typeof UiCommand> {
}
export interface CommandInputProps extends ComponentProps<typeof CommandInput> {
}
export interface CommandListProps extends ComponentProps<typeof UiCommandList> {
    empty?: React.ReactNode;
}
export interface CommandEmptyProps extends ComponentProps<typeof CommandEmpty> {
}
export interface CommandGroupProps extends ComponentProps<typeof CommandGroup> {
}
export interface CommandItemProps extends ComponentProps<typeof UiCommandItem> {
    icon?: React.ReactNode;
    shortcut?: React.ReactNode;
}
export interface CommandSeparatorProps extends ComponentProps<typeof CommandSeparator> {
}
export interface CommandShortcutProps extends ComponentProps<typeof CommandShortcut> {
}
export declare const CommandList: React.ForwardRefExoticComponent<Omit<CommandListProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export declare const CommandItem: React.ForwardRefExoticComponent<Omit<CommandItemProps, "ref"> & React.RefAttributes<HTMLDivElement>>;
export declare const Command: typeof UiCommand & {
    Dialog: typeof CommandDialog;
    Input: typeof CommandInput;
    List: typeof CommandList;
    Empty: typeof CommandEmpty;
    Group: typeof CommandGroup;
    Item: typeof CommandItem;
    Separator: typeof CommandSeparator;
    Shortcut: typeof CommandShortcut;
};
