import { DialogCloseProps, DialogProps as UiDialogProps } from '@radix-ui/react-dialog';
import { MouseEvent } from 'react';
import { ButtonProps } from '../Button';
export interface DialogProps extends UiDialogProps {
    title?: React.ReactNode;
    description?: React.ReactNode;
    children?: React.ReactNode;
    content?: React.ReactNode;
    okText?: React.ReactNode;
    okProps?: ButtonProps;
    cancelText?: React.ReactNode;
    cancelProps?: ButtonProps;
    footer?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    onOk?: (ev: MouseEvent) => any | Promise<any>;
    onCancel?: (ev: MouseEvent) => any | Promise<any>;
}
export declare function Dialog(props: DialogProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Dialog {
    var Close: import("react").ForwardRefExoticComponent<DialogCloseProps & import("react").RefAttributes<HTMLButtonElement>>;
    var Header: {
        ({ className, ...props }: import("react").HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    var Title: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dialog").DialogTitleProps & import("react").RefAttributes<HTMLHeadingElement>, "ref"> & import("react").RefAttributes<HTMLHeadingElement>>;
    var Description: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dialog").DialogDescriptionProps & import("react").RefAttributes<HTMLParagraphElement>, "ref"> & import("react").RefAttributes<HTMLParagraphElement>>;
    var Footer: {
        ({ className, ...props }: import("react").HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
}
