import { DropdownMenuContentProps, DropdownMenuProps } from '@radix-ui/react-dropdown-menu';
import { ComponentProps } from 'react';
import { DropdownMenuGroup, DropdownMenuItem, DropdownMenuLabel, DropdownMenuPortal, DropdownMenuSeparator, DropdownMenuShortcut, DropdownMenuSub, DropdownMenuSubContent, DropdownMenuSubTrigger, DropdownMenuCheckboxItem, DropdownMenuRadioGroup, DropdownMenuRadioItem } from '../ui/dropdown-menu';
export interface DropdownLabelProps extends ComponentProps<typeof DropdownMenuLabel> {
}
export interface DropdownSeparatorProps extends ComponentProps<typeof DropdownMenuSeparator> {
}
export interface DropdownGroupProps extends ComponentProps<typeof DropdownMenuGroup> {
}
export interface DropdownPortalProps extends ComponentProps<typeof DropdownMenuPortal> {
}
export interface DropdownShortcutProps extends ComponentProps<typeof DropdownMenuShortcut> {
}
export interface DropdownSubProps extends ComponentProps<typeof DropdownMenuSub>, Omit<DropdownSubContentProps, 'content'> {
    icon?: React.ReactNode;
    content?: React.ReactNode;
}
export interface DropdownSubTriggerProps extends ComponentProps<typeof DropdownMenuSubTrigger> {
}
export interface DropdownSubContentProps extends ComponentProps<typeof DropdownMenuSubContent> {
}
export interface DropdownCheckboxItemProps extends ComponentProps<typeof DropdownMenuCheckboxItem> {
}
export interface DropdownRadioGroupProps extends ComponentProps<typeof DropdownMenuRadioGroup> {
}
export interface DropdownRadioItemProps extends ComponentProps<typeof DropdownMenuRadioItem> {
}
export interface DropdownItemProps extends ComponentProps<typeof DropdownMenuItem> {
    icon?: React.ReactNode;
    shortcut?: React.ReactNode;
}
export interface DropdownProps extends Omit<DropdownMenuProps, 'children'>, Omit<DropdownMenuContentProps, 'content' | 'children'> {
    content?: React.ReactNode;
    children?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
}
export declare function Dropdown(props: DropdownProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Dropdown {
    var Label: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dropdown-menu").DropdownMenuLabelProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & {
        inset?: boolean | undefined;
    } & import("react").RefAttributes<HTMLDivElement>>;
    var Separator: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dropdown-menu").DropdownMenuSeparatorProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    var Group: import("react").ForwardRefExoticComponent<import("@radix-ui/react-dropdown-menu").DropdownMenuGroupProps & import("react").RefAttributes<HTMLDivElement>>;
    var Item: import("react").ForwardRefExoticComponent<Omit<DropdownItemProps, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    var Portal: import("react").FC<import("@radix-ui/react-dropdown-menu").DropdownMenuPortalProps>;
    var Shortcut: {
        ({ className, ...props }: import("react").HTMLAttributes<HTMLSpanElement>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    var Sub: typeof DropdownSub;
    var SubTrigger: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dropdown-menu").DropdownMenuSubTriggerProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & {
        inset?: boolean | undefined;
    } & import("react").RefAttributes<HTMLDivElement>>;
    var SubContent: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dropdown-menu").DropdownMenuSubContentProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    var CheckboxItem: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dropdown-menu").DropdownMenuCheckboxItemProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
    var RadioGroup: import("react").ForwardRefExoticComponent<import("@radix-ui/react-dropdown-menu").DropdownMenuRadioGroupProps & import("react").RefAttributes<HTMLDivElement>>;
    var RadioItem: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dropdown-menu").DropdownMenuRadioItemProps & import("react").RefAttributes<HTMLDivElement>, "ref"> & import("react").RefAttributes<HTMLDivElement>>;
}
declare function DropdownSub(props: DropdownSubProps): import("react/jsx-runtime").JSX.Element;
export {};
