import React, { ComponentPropsWithoutRef } from 'react';
import { InputOTP as UiInputOTP, InputOTPGroup, InputOTPSlot, InputOTPSeparator as UiInputOTPSeparator } from '../ui/input-otp';
type UiInputOTPProps = ComponentPropsWithoutRef<typeof UiInputOTP>;
export interface InputOTPProps extends Omit<UiInputOTPProps, 'maxLength' | 'render' | 'children'> {
    length: number;
    children: React.ReactNode;
}
declare const _InputOTP: React.ForwardRefExoticComponent<InputOTPProps & React.RefAttributes<HTMLInputElement>>;
declare function InputOTPSeparator(props: ComponentPropsWithoutRef<typeof UiInputOTPSeparator>): import("react/jsx-runtime").JSX.Element;
export declare const InputOTP: typeof _InputOTP & {
    Group: typeof InputOTPGroup;
    Slot: typeof InputOTPSlot;
    Separator: typeof InputOTPSeparator;
    regexpOnlyDigits: string;
    regexpOnlyChars: string;
    regexpOnlyDigitsAndChars: string;
};
export {};
