import { MenubarCheckboxItemProps, MenubarContentProps, MenubarLabelProps, MenubarMenuProps as UiMenubarMenuProps, MenubarProps, MenubarRadioGroupProps, MenubarRadioItemProps, MenubarSeparatorProps, MenubarItemProps as UiMenubarItemProps, MenubarSubProps as UiMenubarSubProps, MenubarSubContentProps, MenuPortalProps, MenubarGroupProps } from '@radix-ui/react-menubar';
import { ComponentPropsWithoutRef } from 'react';
import { Menubar as UiMenubar, MenubarLabel, MenubarPortal, MenubarGroup, MenubarShortcut, MenubarCheckboxItem, MenubarRadioGroup, MenubarRadioItem, MenubarSeparator } from '../ui/menubar';
export type { MenubarProps, MenubarLabelProps, MenubarSeparatorProps, MenuPortalProps, MenubarGroupProps, MenubarCheckboxItemProps, MenubarRadioGroupProps, MenubarRadioItemProps, };
export interface MenubarShortcutProps extends ComponentPropsWithoutRef<typeof MenubarShortcut> {
}
export interface MenubarMenuProps extends UiMenubarMenuProps, Omit<MenubarContentProps, 'content'> {
    content?: React.ReactNode;
}
export interface MenubarItemProps extends UiMenubarItemProps {
    inset?: boolean;
    icon?: React.ReactNode;
    shortcut?: React.ReactNode;
}
export interface MenubarSubProps extends UiMenubarSubProps, Omit<MenubarSubContentProps, 'content'> {
    content?: React.ReactNode;
}
declare function MenubarMenu(props: MenubarMenuProps): import("react/jsx-runtime").JSX.Element;
declare function MenubarItem(props: MenubarItemProps): import("react/jsx-runtime").JSX.Element;
declare function MenubarSub(props: MenubarSubProps): import("react/jsx-runtime").JSX.Element;
export declare const Menubar: typeof UiMenubar & {
    Menu: typeof MenubarMenu;
    Item: typeof MenubarItem;
    Sub: typeof MenubarSub;
    Label: typeof MenubarLabel;
    Separator: typeof MenubarSeparator;
    Portal: typeof MenubarPortal;
    Group: typeof MenubarGroup;
    Shortcut: typeof MenubarShortcut;
    CheckboxItem: typeof MenubarCheckboxItem;
    RadioGroup: typeof MenubarRadioGroup;
    RadioItem: typeof MenubarRadioItem;
};
