import { ComponentPropsWithoutRef } from 'react';
import { Select as UiSelect, SelectGroup as UiSelectGroup, SelectItem as UiSelectItem, SelectSeparator } from '../ui/select';
export interface SelectProps extends ComponentPropsWithoutRef<typeof UiSelect> {
    placeholder?: React.ReactNode;
    className?: string;
    style?: React.CSSProperties;
    contentClassName?: string;
    contentStyle?: React.CSSProperties;
}
export interface SelectGroupProps extends ComponentPropsWithoutRef<typeof UiSelectGroup> {
    label?: React.ReactNode;
}
export interface SelectItemProps extends ComponentPropsWithoutRef<typeof UiSelectItem> {
}
export interface SelectSeparatorProps extends ComponentPropsWithoutRef<typeof SelectSeparator> {
}
declare const _Select: import("react").ForwardRefExoticComponent<SelectProps & import("react").RefAttributes<HTMLButtonElement>>;
export declare const Select: typeof _Select & {
    Group: typeof SelectGroup;
    Item: typeof SelectItem;
    Separator: typeof SelectSeparator;
};
declare function SelectGroup(props: SelectGroupProps): import("react/jsx-runtime").JSX.Element;
declare function SelectItem(props: SelectItemProps): import("react/jsx-runtime").JSX.Element;
export {};
