import { ComponentProps, ComponentPropsWithoutRef, MouseEvent } from 'react';
import { ButtonProps } from '../Button';
import { Sheet as UiSheet, SheetContent } from '../ui/sheet';
export interface SheetProps extends ComponentPropsWithoutRef<typeof UiSheet> {
    side?: ComponentProps<typeof SheetContent>['side'];
    title?: React.ReactNode;
    description?: React.ReactNode;
    content?: React.ReactNode;
    children?: React.ReactNode;
    footer?: React.ReactNode;
    okText?: React.ReactNode;
    okProps?: ButtonProps;
    cancelText?: React.ReactNode;
    cancelProps?: ButtonProps;
    onOk?: (ev: MouseEvent) => any | Promise<any>;
    onCancel?: (ev: MouseEvent) => any | Promise<any>;
    className?: string;
    style?: React.CSSProperties;
}
export declare function Sheet(props: SheetProps): import("react/jsx-runtime").JSX.Element;
export declare namespace Sheet {
    var Close: import("react").ForwardRefExoticComponent<import("@radix-ui/react-dialog").DialogCloseProps & import("react").RefAttributes<HTMLButtonElement>>;
    var Header: {
        ({ className, ...props }: import("react").HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
    var Title: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dialog").DialogTitleProps & import("react").RefAttributes<HTMLHeadingElement>, "ref"> & import("react").RefAttributes<HTMLHeadingElement>>;
    var Description: import("react").ForwardRefExoticComponent<Omit<import("@radix-ui/react-dialog").DialogDescriptionProps & import("react").RefAttributes<HTMLParagraphElement>, "ref"> & import("react").RefAttributes<HTMLParagraphElement>>;
    var Footer: {
        ({ className, ...props }: import("react").HTMLAttributes<HTMLDivElement>): import("react/jsx-runtime").JSX.Element;
        displayName: string;
    };
}
